CVE-2011-0719

Loading...

General

Score:5.0/10.0
Severity:Medium
Category:Buffer Error

Impact Metrics

Confidentiality:None
Integrity:None
Availability:Partial

Exploitability Metrics

Access Vector:Network
Access Complexity:Low
Authentication:None

Relative vulnerabilities

CVE-2007-2444, CVE-2007-2446, CVE-2007-2447, CVE-2008-1105, CVE-2008-3789, CVE-2008-4314, CVE-2009-2813, CVE-2009-2906, CVE-2009-2948, CVE-2009-3245, CVE-2009-3297, CVE-2010-0547, CVE-2010-0728, CVE-2010-0740, CVE-2010-0787, CVE-2010-0926, CVE-2010-1642, CVE-2010-2063, CVE-2010-2632, CVE-2010-3069, CVE-2010-3677, CVE-2010-3682, CVE-2010-3790, CVE-2010-3833, CVE-2010-3834, CVE-2010-3835, CVE-2010-3836, CVE-2010-3837, CVE-2010-3838, CVE-2010-3864, CVE-2010-4180, CVE-2010-4651, CVE-2011-0014, CVE-2011-0195, CVE-2011-0196, CVE-2011-0197, CVE-2011-0198, CVE-2011-0199, CVE-2011-0200, CVE-2011-0201, CVE-2011-0202, CVE-2011-0203, CVE-2011-0204, CVE-2011-0205, CVE-2011-0206, CVE-2011-0207, CVE-2011-0208, CVE-2011-0209, CVE-2011-0210, CVE-2011-0211, CVE-2011-0212, CVE-2011-0213, CVE-2011-0547, CVE-2011-0715, CVE-2011-1132, CVE-2011-1678, CVE-2011-2522, CVE-2011-2694, CVE-2011-2724, CVE-2012-0870, CVE-2012-1182, CVE-2012-2111, CVE-2012-6150, CVE-2013-0213, CVE-2013-0214, CVE-2013-4124, CVE-2013-4408, CVE-2013-4475, CVE-2013-4496, CVE-2013-6442, CVE-2014-0244, CVE-2014-3493, CVE-2015-0240, CVE-2015-5252, CVE-2015-5296, CVE-2015-5299, CVE-2015-5330, CVE-2015-5370, CVE-2015-7560, CVE-2016-2110, CVE-2016-2111, CVE-2016-2112, CVE-2016-2115, CVE-2016-2118, CVE-2016-2125, CVE-2016-2126, CVE-2017-12150, CVE-2017-12163, CVE-2017-2619, CVE-2017-7494, CVE-2018-1050

Published on 02/03/11 - Updated on 30/10/18

Description

Samba 3.x before 3.3.15, 3.4.x before 3.4.12, and 3.5.x before 3.5.7 does not perform range checks for file descriptors before use of the FD_SET macro, which allows remote attackers to cause a denial of service (stack memory corruption, and infinite loop or daemon crash) by opening a large number of files, related to (1) Winbind or (2) smbd.

Category: Buffer Error

CWE-119 (Buffer Errors)
The software performs operations on a memory buffer, but it can read from or write to a memory location that is outside of the intended boundary of the buffer.

Security Notices

US National Vulnerability DatabaseCVE-2011-0719
Agence Nationale de la Sécurité des Systèmes d'Information CERTA-2011-AVI-120, CERTA-2011-AVI-369
CentOS CESA-2011:0305, CESA-2011:0306
Debian DSA-2175-1
Oracle Linux ELSA-2011-0305, ELSA-2011-0306, ELSA-2011-1219, ELSA-2012-0313, ELSA-2017-0662, ELSA-2018-1860
Redhat RHSA-2011:0305, RHSA-2011:0306
Renater 2011/VULN158, 2011/VULN446
SUSE SUSE-SU-2012:0348

Exploits

No exploits available for this CVE in our database.

Relative technologies

VendorProduct
sambasamba

Share this vulnerability with:

Twitter Facebook LinkedIn Mail